Categories:
  - Games
License: GPL-3.0-or-later
AuthorName: Óscar García Amor
AuthorEmail: opensudoku@moire.org
AuthorWebSite: https://ogarcia.connectical.com/
WebSite: https://opensudoku.moire.org/
SourceCode: https://gitlab.com/opensudoku/opensudoku
IssueTracker: https://gitlab.com/opensudoku/opensudoku/-/issues
Changelog: https://gitlab.com/opensudoku/opensudoku/-/tags

AutoName: Open Sudoku

RepoType: git
Repo: https://gitlab.com/opensudoku/opensudoku.git

Builds:
  - versionName: 2.5.2
    versionCode: 20180507
    commit: 2.5.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.6.1
    versionCode: 20190925
    commit: 2.6.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.6.2
    versionCode: 20191010
    commit: 2.6.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.6.4
    versionCode: 20191025
    commit: 2.6.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.7.0
    versionCode: 20200115
    commit: 2.7.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.0
    versionCode: 20200204
    commit: 3.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.0
    versionCode: 20200207
    commit: 3.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.3.1
    versionCode: 20200224
    commit: 3.3.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.4.0
    versionCode: 20200323
    commit: 3.4.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.4.1
    versionCode: 20200612
    commit: 3.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.5.0
    versionCode: 20200914
    commit: 3.5.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.5.1
    versionCode: 20201017
    commit: 3.5.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.6.0
    versionCode: 20201230
    commit: 3.6.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.6.1
    versionCode: 20210129
    commit: 3.6.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.7.0
    versionCode: 20210327
    commit: 3.7.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.8.0
    versionCode: 20210622
    commit: 9b43018643611faa91c9e238984f68a3d995a9ac
    subdir: app
    gradle:
      - yes

  - versionName: 3.8.1
    versionCode: 20220727
    commit: f9216f143d9acda0349d77b2d77bbd155c9eefe2
    subdir: app
    gradle:
      - yes

  - versionName: 3.9.0
    versionCode: 20220826
    commit: 5f52701760fdf31ae8f5e5b6e99a1ab45532000a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.9.1
    versionCode: 20220829
    commit: 44787a140caf051ea941f6cf530a3f25d015e6cc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 3.9.2
    versionCode: 20220830
    commit: 86b980b0c253042924a64db8af9e264fcf5b9d4f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 4.0.1
    versionCode: 20240630
    commit: a782d8f7e4ce26db92095e513d410338ff948ebc
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/mlkit/d' -e '/opencv/d' build.gradle
      - sed -i -e '/<meta-data/,/\/>/d' src/main/AndroidManifest.xml

  - versionName: 4.0.4
    versionCode: 20240714
    commit: 3897db3cd8f91d95cc9bbf240abce4273cf25671
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/mlkit/d' -e '/opencv/d' build.gradle
      - sed -i -e '/<meta-data/,/\/>/d' src/main/AndroidManifest.xml

  - versionName: 4.0.5
    versionCode: 20240803
    commit: 5f74c00b5f7a190162664d03c2de1774b0a900fb
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.6
    versionCode: 20240813
    commit: 9a3f1b25d047c3d09fb73a23a319e68804a68900
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.9
    versionCode: 20240821
    commit: 371fe2a800d98697435e54bc276114fc2833d702
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.10
    versionCode: 20241005
    commit: a510a70e551235ba39073a67fc6654305f9bc893
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.11
    versionCode: 20241010
    commit: 9362e3590052d00fa193fe99eef59c023ff543d8
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 4.0.11
CurrentVersionCode: 20241010
